scim::FilterModule Class Reference
IMEngine

The class to manipulate the Filter modules. More...

`#include <scim_filter_module.h>`

## Public Member Functions

| FilterModule ()
| Default constructor.
| FilterModule (const String &name, const ConfigPointer &config)
| Constructor.
bool | load (const String &name, const ConfigPointer &config)
| Load a Filter Module by its name.
bool | unload ()
| Unload the Filter Module.
bool | valid () const
| Check if a module is loaded and initialized successfully.
unsigned int | number_of_filters () const
| Get how many Filter factories supported by this module.
FilterFactoryPointer | create_filter (unsigned int index) const
| Create an object for a Filter factory.
bool | get_filter_info (unsigned int index, FilterInfo &info) const
| Get basic information of the FilterFactory class provided by this module.

## Detailed Description

The class to manipulate the Filter modules.

This is a wrapper of scim::Module class, which is specially for manipulating the Filter modules.

## Constructor & Destructor Documentation

## FilterModule() [1/2]

scim::FilterModule::FilterModule | ( |  | ) |

Default constructor.

## FilterModule() [2/2]

scim::FilterModule::FilterModule | ( | const String & | name,
|  | const ConfigPointer & | config )

Constructor.

Parameters

  name | the module's name, eg. "sctc".
  config | a ConfigBase instance to maintain the configuration.

## Member Function Documentation

## load()

bool scim::FilterModule::load | ( | const String & | name,
|  | const ConfigPointer & | config )

Load a Filter Module by its name.

Load a module into memory. If another module has been loaded into this object, then the old module will be unloaded first. If the old module is resident, false will be returned, and the old module will be untouched.

Parameters

  name | - the name of the Filter Module.
  config | a ConfigBase instance to maintain the configuration.

Returns
  true if success.

## unload()

bool scim::FilterModule::unload | ( |  | ) |

Unload the Filter Module.

Returns
  true if sucessfully unloaded.

## valid()

bool scim::FilterModule::valid | ( |  | ) | const

Check if a module is loaded and initialized successfully.

Returns
  true if a module is already loaded and initialized successfully.

## number_of_filters()

unsigned int scim::FilterModule::number_of_filters | ( |  | ) | const

Get how many Filter factories supported by this module.

Returns
  the number of Filter factories.

## create_filter()

FilterFactoryPointer scim::FilterModule::create_filter | ( | unsigned int | index | ) | const

Create an object for a Filter factory.

Parameters

  index | The index of the Filter factory, must be less than the result of number_of_factories method and greater than or equal to zero.

Returns
  A smart pointer to the factory object, NULL if failed.

## get_filter_info()

bool scim::FilterModule::get_filter_info | ( | unsigned int | index,
|  | FilterInfo & | info ) const

Get basic information of the FilterFactory class provided by this module.

Parameters

  index | The index of the Filter factory to be queried.
  info | The result will be stored in this parameter.

Returns
  whether the info is successfully retrieved

The documentation for this class was generated from the following file:

- scim_filter_module.h